Subject: [clue] comments on description of RTP topologies

From: "Duckworth, Mark" <[email-masked]>
Date: Fri, 14 Jun 2013 07:35:25 -0700

This is regarding section 3. RTP topologies for CLUE, in draft-ietf-clue-rtp-mapping-00.

I'm having difficulty relating the topologies described here to the terminology described in draft-ietf-avtcore-rtp-topologies-update-00.  There doesn't seem to be a clean mapping, so I'd like to clarify this and make it cleaner, using the same terminology.

>From the beginning of section 3:
"For telepresence, the relevant topologies include point-to-point, as well as media mixers, media- switching mixers, and source-projection mixers."

So for these four categories, I would like to understand how they map to the topologies described in draft-ietf-avtcore-rtp-topologies-update.  The following list describes how I think the two documents relate.  Do I understand this correctly?  Can we make this more explicit in the CLUE document, to list the CLUE topologies directly using terminology from the rtp-topologies-update document, so we don't have to map it to a new set of CLUE terminology?

1.       point-to-point.  This includes:

a.       Topo-Point-to-Point

b.      Topo-PtP-Translator - not sure if this is meant to be included or not?

c.       Back to back RTP sessions - not sure if this is meant to be included or not?

2.       media mixers.  This includes:

a.       Topo-RTCP-terminating-MCU

b.      Topo-Mixer, Media Mixing variety (3.6.1 of rtp-topologies-update)

3.       media switching mixers.  This includes:

a.       Topo-Mixer, Media Switching variety (3.6.2 of rtp-topologies-update)

4.       source projection mixers. This includes:

a.       Source Projecting Middlebox (3.7 of rtp-topologies-update)

We should also add De-composite Endpoint (3.10 of rtp-topologies-update), as we agreed in the June 2012 interim meeting.

I believe we also agreed CLUE is not attempting to support Topo-Video-switch-MCU, so I suggest we remove reference to this one.  The document refers to this as if CLUE supports it, which I think is not the case.

I have a related question in avtcore, asking if source projection is intended to be a variety of Topo-Mixer.

Mark Duckworth